[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: TRY AGAIN, error running Maple 7 on Fedora 10



William M. Quarles wrote:
> The line "export LD_ASSUME_KERNEL=2.4.1" is a tweak that I have had to add
> since Red Hat Linux 9 to get Maple 7 to work.

That hack is no longer supported (and hasn't been since Fedora Core 5 (!)), 
thus your error. The purpose of that hack was to force glibc to use the old 
LinuxThreads implementation instead of the current NPTL (Native POSIX Thread 
Library) (which is normally fully backwards-compatible, but some 
applications relied on LinuxThreads bugs and thus needed that hack to work). 
But LinuxThreads was removed (completely) in Fedora Core 5, so the 
LD_ASSUME_KERNEL hack cannot work anymore.

        Kevin Kofler



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]